package edu.ucla.cs.dbevolution;

import java.util.Vector;

public interface Repository {

	//the class is the interfaces that must implement allt he class that wants to 
	//perform some operations on the repository
	
	/**
	 * Get all the revisions of the database schema from the svn site
	 */
	public abstract Vector<DbVersion> GetRevisions();
		
	
	
	/**
	 * Download all the database schema corresponding to the revision 
	 */
	public abstract void DownloadRevision(String revision);
	
}
