package edu.ucla.cs.statistics;

import java.text.DecimalFormat;

public class DatabaseSpecs {
	
	
	private String firstRelease;
	private String lastRelease;
	private int initialSize;
	private int endSize;
	private double databaseEvolutionRate;
	
	
	public String getFirstRelease() {
		return firstRelease;
	}
	public void setFirstRelease(String firstRelease) {
		this.firstRelease = firstRelease;
	}
	public String getLastRelease() {
		return lastRelease;
	}
	public void setLastRelease(String lastRelease) {
		this.lastRelease = lastRelease;
	}
	public int getInitialSize() {
		return initialSize;
	}
	public void setInitialSize(int initialSize) {
		this.initialSize = initialSize;
	}
	public int getEndSize() {
		return endSize;
	}
	public void setEndSize(int endSize) {
		this.endSize = endSize;
	}
	public double getDatabaseEvolutionRate() {
		return databaseEvolutionRate;
	}
	public void setDatabaseEvolutionRate(double databaseEvolutionRate) {
		this.databaseEvolutionRate = databaseEvolutionRate;
	}
	
	
	/**
	 * TODO
	 * @return
	 */
	public String getDatabaseEvolutionFactor() {
		
		//this.computeRiskFactor();
		//DecimalFormat format = new DecimalFormat("##.##");
		DecimalFormat format = new DecimalFormat("%");
		format.setPositivePrefix("");
		format.setPositiveSuffix("%");
		return format.format(getDatabaseEvolutionRate());
	}
	

}
